> ## Documentation Index
> Fetch the complete documentation index at: https://docs.velt.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Config

Use this API to retrieve the current email service configuration for a workspace.

<Info>
  This endpoint uses **API-key-level auth**: pass `x-velt-api-key` and `x-velt-auth-token` as headers. You can obtain these from the [Get Auth Tokens](/api-reference/rest-apis/v2/workspace/authtokens-get) endpoint.
</Info>

# Endpoint

`POST https://api.velt.dev/v2/workspace/emailconfig/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

This endpoint does not require a request body.

# Example Request

```JSON theme={null}
{
  "data": {}
}
```

# Example Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Email configuration retrieved successfully.",
    "data": {
      "useEmailService": false,
      "emailServiceConfig": {
        "type": "default",
        "apiKey": "",
        "fromEmail": "",
        "fromCompany": "",
        "commentTemplateId": "",
        "tagTemplateId": ""
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "status": "PERMISSION_DENIED",
    "message": "Invalid API key."
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Email configuration retrieved successfully.",
      "data": {
        "useEmailService": false,
        "emailServiceConfig": {
          "type": "default",
          "apiKey": "",
          "fromEmail": "",
          "fromCompany": "",
          "commentTemplateId": "",
          "tagTemplateId": ""
        }
      }
    }
  }
  ```
</ResponseExample>
